

<div class="container">



  <h1 class="my-4">{{charity.charityName}}
   
  </h1>

  <div class="row">
    <div class="col-md-8">
      <img class="img-fluid" [src]="image" alt="">
    </div>


    <div class="col-md-4">
      <h3 class="my-3">Charity Description</h3>
      <p>{{charity.description}}.</p>
      <h3 class="my-3">Charity Details</h3>
      <ul>
        <li>Volunteeres needed: {{charity.numberOfParticipantsWanted}}</li>
        <li>Volunteeres sighted up: {{charity.numberOfParticipants}}</li>
        <li>Required Budget:{{charity.budgetRequired}}</li>
        <li>Budget collected:{{charity.budgetCollected}}</li>
        <li>Creator:{{charity.creator.username}}</li>
      </ul>
    </div>

  </div>


<div>
  <div style="float: right;" *ngIf="isLogged">
<input type="text" placeholder={{charity.estimatedAmount}} name="donate" [(ngModel)]="donationAmount">
<button (click)="donation()" class="btn btn-primary">Donate</button>
</div>

  <div *ngIf="isLogged">
<button style="float: right;" (click)="participate()" class="btn btn-primary">Participate</button>
  </div>
</div>


  <div *ngIf="isCreator">
    <button (click)="delete()" class="btn btn-primary">Delete Charity</button>
    <button (click)="routeTo(id)" class="btn btn-primary">Edit Charity</button>
      </div>




